Bug 432741 - Review Request: sarai-fonts - Free Sarai Hindi Truetype Font
Review Request: sarai-fonts - Free Sarai Hindi Truetype Font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 22:53 EST by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-23 09:51:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
b.rahul.pm: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-02-13 22:53:45 EST
Spec URL: http://sundaram.fedorapeople.org/packages/sarai-fonts.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/sarai-fonts-1.0-1.fc8.src.rpm
Description: 

This package provides a free Sarai Hindi TrueType font.
Comment 1 Rahul Bhalerao 2008-02-14 07:39:50 EST
Output of rpmlint:
$ rpmlint sarai-fonts-1.0-1.fc8.noarch.rpm 
sarai-fonts.noarch: W: no-documentation

The above may be ignored, but it is recommended to include a license text file
as a part of documentation.

You may use %{fontname} in following line:
  4 Name:        sarai-fonts

I think URL should be the one from sarai.net. 
http://www.sarai.net/practices/indic-localization/downloads-1/Sarai_07.ttf

According to new policies, please replace $RPM_BUILD_ROOT with %{buildroot}.
Rest all looks fine.
Comment 2 Rahul Sundaram 2008-02-15 00:05:20 EST
New revision:

http://sundaram.fedorapeople.org/packages/sarai-fonts.spec
http://sundaram.fedorapeople.org/packages/sarai-fonts-1.0-2.fc8.src.rpm


Fixed URL
Used macro as suggested
Added License

I checked the policies and didn't see one enforcing a particular style of
buildroot. The packaging guidelines suggests the package maintainer pick one and
stick to it which is what I am doing now. 
Comment 3 Rahul Bhalerao 2008-02-15 04:05:24 EST
Output of rpmlint:
"sarai-fonts.noarch: E: description-line-too-long This package provides a free
Sarai Hindi TrueType font. It is meant for print and publishing needs."

There should be a line break every 80 characters.
The URL given for Source0 is not a direct link to the font file. It gives
another webpage. I would suggest to keep the earlier source, i.e. just
"Sarai_07.ttf".

Comment 4 Rahul Sundaram 2008-02-15 18:30:16 EST
 

New revision

http://sundaram.fedorapeople.org/packages/sarai-fonts.spec
http://sundaram.fedorapeople.org/packages/sarai-fonts-1.0-3.fc8.src.rpm

Fixed the two issues pointed out. Thanks.
Comment 5 Rahul Bhalerao 2008-02-17 14:35:23 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
b5f792b2fb76b7448c96f6a8f77b1390  Sarai_07.ttf
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ font is open source-compatible.
+ License text is included in package.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.

APPROVED
Comment 6 Rahul Sundaram 2008-02-18 05:26:39 EST
Thanks for the review. 

New Package CVS Request
=======================
Package Name: sarai-fonts
Short Description: 
Owners: sundaram,pnemade
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-02-18 12:33:59 EST
Is there no Short Description here? Should it be "Free Sarai Hindi Truetype Font" ?
Comment 8 Rahul Sundaram 2008-02-18 12:47:38 EST
Yes. Sorry I missed that. 
Comment 9 Kevin Fenzi 2008-02-18 15:16:42 EST
cvs done.
Comment 10 Parag Nemade 2008-02-22 03:50:15 EST
is this built?
Comment 11 Rahul Sundaram 2008-02-23 09:51:34 EST
Build now. 
Comment 12 Nicolas Mailhot 2008-02-25 04:23:00 EST
1. Please update the Fedora comps file
(Cf grouping section of http://fedoraproject.org/wiki/Packaging/FontsPolicy)

2. Please add this package to the "Packaged fonts" list at
http://fedoraproject.org/wiki/SIGs/Fonts/Triaging/Pipeline

Note You need to log in before you can comment on or make changes to this bug.